angular.module('starter')
.component('agentContactForm', {
	templateUrl: 'templates/components/agent-contact-form.html',
	controller: function($scope, OpalService){
		$scope.submitted 	= false;
		$scope.formData 	= { task: 'contact' };
		if(typeof this.property != 'undefined'){
			$scope.formData.message 	= 'Hi, I am interested in '+ this.property.info.title +' (Property ID: '+ this.property.info.id +')';
			$scope.formData.post_id 	= this.property.info.id;
			$scope.formData.agent_id 	= this.property.info.agent_id;
			$scope.formData.author_id 	= this.property.info.author_id;
		}

		$scope.doSubmit = function(agentContactForm){
			$scope.submitted = true;
			OpalService.sendRequest('agents', $scope.formData).then(function(response){
				// console.log(response);
			});
		}
	},
	bindings: {
		property: '=',
	}
});