opal_controller
.controller('PropertyDetailCtrl', function($scope, $ionicTabsDelegate, $ionicHistory, $cordovaStatusbar, $cordovaSocialSharing, SessionService, OpalService) {
	$scope.user 			= SessionService.get('userInfo');
	$scope.property 		= SessionService.get("property");
	$scope.buttonActived 	= 1;

	$scope.agent_type 		= 'agent';
	$scope.agent_id 		= $scope.property.info.agent_id;
	if($scope.property.info.agent_id==0){
		$scope.agent_type 	= 'author';
		$scope.agent_id 	= $scope.property.info.author_id;
	}

	$scope.toggleFavorites = function(id, action){
		var userid = $scope.user.info.ID;
		if(action == 'add'){
			$scope.property.info.in_favorites = true;
		}else if(action == 'remove'){
			$scope.property.info.in_favorites = false;
		}
		$ionicHistory.clearCache();

		OpalService.sendRequest('user', 
			{
				propertyId: id,
				userId: userid,
				task: 'toggle_favorites',
			}, 
			false
		);
	}

	$scope.buttonActive = function(value){
		$scope.buttonActived = value;
		$ionicTabsDelegate.$getByHandle('tab-property-detail').select($scope.buttonActived - 1);
	}

	$scope.share = function () {
		var title 	= 'Hi, I am interested in ' + $scope.property.info.title,
		subject 	= '',
		link 		= $scope.property.info.link;
	    $cordovaSocialSharing.share( title, subject, null, link );
	}

	$scope.sendMessage = function(){
		var message = 'Hi, I am interested in ' + $scope.property.info.title,
		subject 	= 'Subject',
		toArr 		= ['ducphamtien@gmail.com'];
		
		$cordovaSocialSharing
			.shareViaEmail(message, subject, toArr)
			.then(function(result) {
				
			}, function(err) {
				// An error occurred. Show a message to the user
			});
	}

});