angular.module('starter')
.component('agentInfo', {
	templateUrl: 'templates/components/agent-info.html',
	controller: function($scope, $state, $cordovaSocialSharing, $cordovaInAppBrowser, SessionService, OpalService){
		$scope.checkShowMore	= 'show-less';
		$scope.isLoaded 		= false;
		// console.log(this);

		if(typeof this.data != 'undefined'){
			$scope.agent 	= this.data;
			$scope.isLoaded = true;
		}else{
			OpalService.sendRequest('agents', {
				task: 'single',
				id: this.id,
				agent_type: this.agentType,
			}, true).then(function(response){
				// console.log(response);
				$scope.agent 	= response;
				$scope.isLoaded = true;
			});
		}


		$scope.sendMail = function(){
			var message = 'Hi,'
			subject 	= '',
			toArr 		= [$scope.agent.info.email];
			
			$cordovaSocialSharing
				.shareViaEmail(message, subject, toArr)
				.then(function(result) {
					
				}, function(err) {
					// An error occurred. Show a message to the user
				});
		}

		var optionBrowser = {
			location: 'yes',
			clearcache: 'yes',
			toolbar: 'yes'
		}
		

		$scope.openLink = function(link){
			$cordovaInAppBrowser.open(link, '_blank', optionBrowser)
			.then(function(event) {

			})
			.catch(function(event) {
				// erro
			});

			// $cordovaInAppBrowser.close();
		}

	},
	bindings: {
		task: 			'=',
		id: 			'=',
		data: 			'=',
		agentType: 		'=',
		propertyTitle: 	'='
	}
});