angular.module('starter')
.component('propertyMoreMeta', {
	templateUrl: 'templates/components/property-more-meta.html',
	controller: function($scope, OpalService){
		OpalService.sendRequest('properties',{
			id: this.id,
			task: 'single_more_meta',
		},true).then(function(response){
			$scope.list_meta = response.data;

			if(typeof response.data.amenities != 'undefined'){
				$scope.isAmenities 	= true;
				$scope.amenities 	= response.data.amenities;
			}

			if(typeof response.data.facilities != 'undefined'){
				$scope.isFacilities = true;
				$scope.facilities 	= response.data.facilities;
			}
		});
	},
	bindings: {
		id: '='
	}
});